import org.junit.Assert;
import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

import static junit.framework.TestCase.assertEquals;
import static junit.framework.TestCase.assertTrue;
import static org.junit.Assert.assertArrayEquals;

public class TestMyArrayList {

    @Test
    public void testAddInteger(){

        MyArrayList<Integer> testArray = new MyArrayList<>();
        Integer beforeSize = testArray.size();
        testArray.add(3);
       Integer size1 = testArray.size();
        Integer expected = 3 ;

        Integer actual = testArray.get(size1-1);
        assertEquals(expected, actual);
    }
    @Test
    public void testAddString(){

        MyArrayList<String> testArray = new MyArrayList<>();
        testArray.add("Great");
        Integer size1 = testArray.size();
        String expected = "Great";
        String actual = testArray.get(size1-1);
        assertEquals(expected, actual);

    }
    @Test
    public void testRemove(){

        MyArrayList<Integer> testArray = new MyArrayList<>(4);
        testArray.remove(2);
        Integer expected = 3;
        Integer actual = testArray.size();
        assertEquals(expected, actual);
    }
    @Test
    public void testClear(){
        MyArrayList<String> testArray = new MyArrayList<>(4);
        testArray.clear();
        Integer expected = 0;
        Integer actual = testArray.size();
        assertEquals(expected, actual);
    }
    @Test
    public void testIsEmpty(){
        MyArrayList<Integer> testArray = new MyArrayList<>(0);
        Boolean expected = false;
        Boolean actual = testArray.isEmpty();
        assertEquals(expected, actual);
    }
    @Test
    public void testContains(){
        MyArrayList<Integer> testArray = new MyArrayList<>();
        Boolean expected = false;
        Boolean actual = testArray.contains(2);
        assertEquals(expected, actual);
    }
}
